Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.agent
Class SshAgentSocketListener

    java.lang.Object
      com.sshtools.j2ssh.agent.SshAgentSocketListener

public class SshAgentSocketListener
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`SshAgentSocketListener(java.lang.String location, KeyStore keystore)` Creates a new SshAgentSocketListener object.

Method Summary
`static int` | `configureNewLocation()` Configure a new random port for the agent listener.
`protected KeyStore` | `getKeystore()` Gets the underlying keystore for this agent listener.
`int` | `getPort()` The current port of the agent listener
`StartStopState` | `getState()` Get the agent listeners state
`static void` | `main(java.lang.String[] args)` The main entry point for the application.
`void` | `start()` Starts the agent listener thread
`void` | `stop()` Stops the agent listener

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SshAgentSocketListener

    public SshAgentSocketListener(java.lang.String location,
                                  KeyStore keystore)
                           throws AgentNotAvailableException

  Creates a new SshAgentSocketListener object.

Parameters:
  `location` - the location of the listening agent. This should be a random port on the localhost such as localhost:15342
  `keystore` - the keystore for agent operation
Throws:
  `AgentNotAvailableException` - if the location specifies an invalid location

Method Detail

### getState

    public StartStopState getState()

  Get the agent listeners state

  Returns:
    the current state of the listener

### start

    public void start()

  Starts the agent listener thread

### getPort

    public int getPort()

  The current port of the agent listener

  Returns:
    the integer port

### stop

    public void stop()

  Stops the agent listener

### getKeystore

    protected KeyStore getKeystore()

  Gets the underlying keystore for this agent listener.

  Returns:
    the keystore

### configureNewLocation

    public static int configureNewLocation()

  Configure a new random port for the agent listener.

  Returns:
    the random port for this agent.

### main

    public static void main(java.lang.String[] args)

  The main entry point for the application. This method currently accepts the -start parameter which will look for the sshtools.agent system property. To configure the agent and to get a valid location call with -configure, set the system sshtools.home system property and start.

  Parameters:
    `args` - the programs arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD